Index: trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile	(revision 3866)
+++ trunk/SophyaLib/SkyMap/Makefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
@@ -11,6 +11,165 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiolocalmap.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  localmap.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiolocalmap.cc
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiosphereecp.h sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosphereecp.cc
+ 
+$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  spherehealpix.h HEALPixUtils.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherehealpix.cc
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  spherethetaphi.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
+ 
 $(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  HEALPixUtils.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -39,199 +198,69 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
  
-$(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h localmap.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiolocalmap.cc
- 
-$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
-  sphereecp.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosphereecp.cc
- 
-$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h spherehealpix.h \
-  HEALPixUtils.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherehealpix.cc
- 
-$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h spherethetaphi.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc $(SOPHYAINCP)sopnamsp.h \
-  localmap.h pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
+$(SOPHYAOBJP)localmap.o: localmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  localmap.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  sphericalmap.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
  
-$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
-  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)longlat.o: longlat.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
 $(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h mapoperation.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)machdefs.h \
+  mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
@@ -240,56 +269,63 @@
 $(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h skymapinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h fiospherehealpix.h \
-  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
-  localmap.h fiosphereecp.h sphereecp.h
+  $(SOPHYAINCP)machdefs.h \
+  spherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
+  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   sphereecp.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -319,88 +355,102 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h HEALPixUtils.h \
-  $(SOPHYAINCP)strutil.h
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)strutil.h \
+  spherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  HEALPixUtils.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
-$(SOPHYAOBJP)spherepos.o: spherepos.cc $(SOPHYAINCP)sopnamsp.h \
-  spherepos.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)spherepos.o: spherepos.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
  
 $(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)fiondblock.h
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  spherethetaphi.h sphericalmap.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherethetaphi.cc
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h vector3d.h \
-  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
+  $(SOPHYAINCP)sopnamsp.h \
+  unitvector.h vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
-$(SOPHYAOBJP)utilgeom.o: utilgeom.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
-$(SOPHYAOBJP)vector3d.o: vector3d.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h vector3d.h longlat.h \
-  utilgeom.h
+$(SOPHYAOBJP)vector3d.o: vector3d.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  vector3d.h longlat.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
  
Index: trunk/SophyaLib/SkyMap/smakefile
===================================================================
--- trunk/SophyaLib/SkyMap/smakefile	(revision 3866)
+++ trunk/SophyaLib/SkyMap/smakefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
@@ -11,6 +11,165 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiolocalmap.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  localmap.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiolocalmap.cc
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiosphereecp.h sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosphereecp.cc
+ 
+$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  spherehealpix.h HEALPixUtils.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherehealpix.cc
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  spherethetaphi.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
+ 
 $(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  HEALPixUtils.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -39,199 +198,69 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
  
-$(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h localmap.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiolocalmap.cc
- 
-$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
-  sphereecp.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosphereecp.cc
- 
-$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h spherehealpix.h \
-  HEALPixUtils.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherehealpix.cc
- 
-$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h spherethetaphi.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc $(SOPHYAINCP)sopnamsp.h \
-  localmap.h pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
+$(SOPHYAOBJP)localmap.o: localmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  localmap.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  sphericalmap.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
  
-$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
-  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)longlat.o: longlat.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
 $(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h mapoperation.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)machdefs.h \
+  mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
@@ -240,56 +269,63 @@
 $(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h skymapinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h fiospherehealpix.h \
-  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
-  localmap.h fiosphereecp.h sphereecp.h
+  $(SOPHYAINCP)machdefs.h \
+  spherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
+  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   sphereecp.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -319,88 +355,102 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h HEALPixUtils.h \
-  $(SOPHYAINCP)strutil.h
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)strutil.h \
+  spherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h \
+  HEALPixUtils.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
-$(SOPHYAOBJP)spherepos.o: spherepos.cc $(SOPHYAINCP)sopnamsp.h \
-  spherepos.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)spherepos.o: spherepos.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
  
 $(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
-  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)fiondblock.h
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  spherethetaphi.h sphericalmap.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherethetaphi.cc
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h vector3d.h \
-  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
+  $(SOPHYAINCP)sopnamsp.h \
+  unitvector.h vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
-$(SOPHYAOBJP)utilgeom.o: utilgeom.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
-$(SOPHYAOBJP)vector3d.o: vector3d.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h vector3d.h longlat.h \
-  utilgeom.h
+$(SOPHYAOBJP)vector3d.o: vector3d.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  vector3d.h longlat.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
  
